Foreman - Bug #19657

Cannot delete administrator user account: update or delete on table "users" violates foreign key
constraint

05/24/2017 01:09 PM - Josh Pavel

Status: Duplicate

Priority: Normal

Assignee:

Category: Users, Roles and Permissions
Target version: 1.15.4

Difficulty: Fixed in Releases:

Triaged: Found in Releases: 1.15.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description
| have a local administrator account (not the default admin) that | attempted to delete.

Oops, we're sorry but something went wrong ERROR: update or delete on table "users" violates forei
gn key constraint "fk_rails_51975e21a8" on table "notification_recipients" DETAIL: Key (id)=(15) 1
s still referenced from table "notification_recipients".

PG::Error

ERROR: update or delete on table "users" violates foreign key constraint "fk_rails_51975e21a8" on table "notification_recipients"
DETAIL: Key (id)=(15) is still referenced from table "notification_recipients".
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/postgresql_adapter.rb:602:in
“exec_prepared'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/postgresql_adapter.rb:602:in
“block in exec_cache'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/abstract_adapter.rb:472:in
“block in log'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications/instrumenter.rb:20:in “instrument'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/abstract_adapter.rb:466:in
“log’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/postgresql_adapter.rb:601:in
“exec_cache'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/postgresqgl_adapter.rb:585:in
“execute_and_clear
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/postgresql/database_statem
ents.rb:173:in “exec_delete'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/abstract/database_statement
s.rb:119:in “delete’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/abstract/query_cache.rb:14:i
n “delete’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/relation.rb:478:in “delete_all'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/persistence.rb:487:in “destroy_row'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/counter_cache.rb:152:in "destroy_row'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/locking/optimistic.rb:115:in “destroy_row'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/persistence.rb:172:in “destroy'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/callbacks.rb:292:in “block in destroy'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:117:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:117:in “call'
/opt/rh/sclo-rord42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:555:in “block (2 levels) in compile
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:92:in °__ run_callbacks__
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:778:in *_run_destroy_callbacks'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/callbacks.rb:292:in “destroy’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions.rb:281:in “block in destroy'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions.rb:351:in “block in
with_transaction_returning_status'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/abstract/database_statement

s.rb:213:in “block in transaction'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/abstract/transaction.rb:184:in

‘within_new_transaction’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/abstract/database_statement

s.rb:213:in “transaction’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions.rb:220:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions.rb:348:in
‘with_transaction_returning_status'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions.rb:281:in
/usr/share/foreman/app/controllers/users_controller.rb:56:in “destroy’

“transaction’

“destroy’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/implicit_render.rb:4:in “send_action’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:198:in “process_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rendering.rb:10:in “process_action’

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callbacks.rb:20:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:117:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:117:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:555:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in
/usr/share/foreman/app/controllers/concerns/application_shared.rb:15:in “set_timezone'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:432:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in
/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in “clear_thread'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:432:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in

“block in process_action'
“call

“call

“block (2 levels) in compile'
“call'

“call

“block (2 levels) in around’
“call

“block (2 levels) in halting'

“block in make_lambda'
“call'

“block in halting'

“call'

“block in around'

“call'

“call'

“block (2 levels) in around’
“call

“block (2 levels) in halting'

“block in make_lambda'
“call'

“block in halting'

“call'

“block in around'

“call'

“call

“block (2 levels) in around'
“call'

“block (2 levels) in halting'

/usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in “set_topbar_sweeper_controller'

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:432:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in
/opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.4.1/lib/audited/sweeper.rb:14:in “around'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:455:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:455:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:778:in
“block in make_lambda'
“call'

“block in halting'

“call

“block in around’

“call'

“call'

“block (2 levels) in around’
“call'

“block (2 levels) in halting'

“public_send'
“block in make_lambda’
“call

“block in halting'
“call

“block in around'
“call

“call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:92:in °__run_callbacks__
*_run_process_action_callbacks'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:81:in “run_callbacks'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callbacks.rb:19:in “process_action’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rescue.rb:29:in “process_action’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/instrumentation.rb:32:in “block in
process_action'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications.rb:164:in “block in instrument’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications/instrumenter.rb:20:in “instrument’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications.rb:164:in “instrument’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/instrumentation.rb:30:in “process_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/params_wrapper.rb:250:in
‘process_action’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/railties/controller_runtime.rb:18:in “process_action'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:137:in “process'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionview-4.2.5.1/lib/action_view/rendering.rb:30:in “process'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:196:in “dispatch’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rack_delegation.rb:13:in “dispatch’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:237:in “block in action’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:74:in “call’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:74:in “dispatch’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:43:in “serve'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.rb:43:in “block in serve'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.rb:30:in “each’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.rb:30:in “serve'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:815:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in “call’
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.4.0/lib/apipie/static_dispatcher.rb:65:in “call’
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.4.0/lib/apipie/extractor/recorder.rb:132:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in “call'
/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.4.0/lib/apipie/middleware/checksum_in_headers.rb:27:in “call’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/etag.rb:24:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/lib/rack/conditionalget.rb:38:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/lib/rack/head.rb:13:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/params_parser.rb:27:in “call’
/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in “call'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/flash.rb:260:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:225:in “context’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:220:in “call’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/cookies.rb:560:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/query_cache.rb:36:in “call'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:
653:in “call'

/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/callbacks.rb:29:in “block in call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:88:in *__run_callbacks__ '
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:778:in *_run_call_callbacks'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:81:in “run_callbacks’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/callbacks.rb:27:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/remote_ip.rb:78:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/debug_exceptions.rb:17:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/show_exceptions.rb:30:in “call’
/opt/rh/sclo-rord42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:38:in “call_app'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:22:in “call’
/usr/share/foreman/lib/middleware/tagged_logging.rb:18:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/request_id.rb:21:in “call’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/methodoverride.rb:22:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/lib/rack/runtime.rb:18:in “call’
/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in
“call

/opt/rh/sclo-rord2/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in “call'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/lib/rack/sendfile.rb:113:in “call’
/opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-3.4.1/lib/secure_headers/middleware.rb:12:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/engine.rb:518:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/application.rb:165:in “call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in “public_send'
/opt/rh/sclo-rord2/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in “method_missing'
/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:66:in “block in call’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urimap.rb:50:in “each’
/opt/rh/sclo-rord2/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urimap.rb:50:in “call'
/usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in “process_request'
/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in “accept_and_process_next_request’
/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in “main_loop'
/usr/share/passenger/phusion_passenger/request_handler.rb:455:in “block (3 levels) in start_threads’
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in “call’
/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in “block in
create_with_logging_context'

Related issues:
Related to Foreman - Bug #20316: unable to delete user. leads to foreign key ... Closed

History

#1 - 05/25/2017 03:38 AM - Dominic Cleal

- translation missing: en.field_release set to 248

#2 - 06/08/2017 09:01 AM - Daniel Lobato Garcia

- translation missing: en.field_release changed from 248 to 266

#3 - 07/06/2017 08:34 AM - Daniel Lobato Garcia

- translation missing: en.field_release changed from 266 to 276

#4 - 08/08/2017 05:16 AM - Daniel Lobato Garcia

- translation missing: en.field_release changed from 276 to 287

#5 - 09/18/2017 01:51 PM - Daniel Lobato Garcia

- translation missing: en.field_release changed from 287 to 240

#6 - 09/19/2017 01:45 AM - Marek Hulan
- Status changed from New to Duplicate

- translation missing: en.field_release changed from 240 to 287

Another duplicate of #20316 which was fixed in 1.15.4

#7 - 09/19/2017 01:45 AM - Marek Hulan
- Related to Bug #20316: unable to delete user. leads to foreign key violation added

#8 - 07/15/2020 01:25 PM - Tomer Brisker

- Category changed from 218 to Users, Roles and Permissions
